
Selene J2EE Webapp - Tareas #190

Tareas # 189 (Cerrada): Create new pattern for JSON services

Create class CustomJacksonJaxbJsonProvider

07/02/2018 12:49 PM - Jesús Freire

Status: Cerrada Start date: 07/02/2018

Priority: Normal Due date: 07/30/2018

Assignee: Jesús Freire % Done: 100%

Category:  Estimated time: 1:00 hour

Target version: 0.0.3 Spent time: 2:00 hours

Puntos de historia: 1   

Description

Tomee container takes de Johnzon JSON provider to convert beans to/from JSON because it's the default JSON provider.

It's neccesary to add the Jackson JSON provider to make this conversion correctly.

Tomee still take Johnzon as the defautl jSON provider.

So, extend the class JacksonJaxbJsonProvider:

        <dependency>

            <groupId>com.fasterxml.jackson.jaxrs</groupId>

            <artifactId>jackson-jaxrs-json-provider</artifactId>

            <version>2.4.3</version>

        </dependency>

Add the follow annotations:

@Provider

@Consumes(MediaType.APPLICATION_JSON)

@Produces(MediaType.APPLICATION_JSON)

History

#1 - 07/04/2018 10:09 AM - Jesús Freire

- Status changed from Nueva to En curso

#2 - 07/04/2018 10:10 AM - Jesús Freire

- Status changed from En curso to Resuelta

- % Done changed from 10 to 90

Applied in changeset selene-j2ee-webapp|r742.

#3 - 07/30/2018 08:17 PM - Jesús Freire

- Due date set to 07/30/2018

- Status changed from Resuelta to Cerrada

- % Done changed from 90 to 100

Powered by TCPDF (www.tcpdf.org)

05/15/2025 1/1

http://www.tcpdf.org

